'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = feathersStripeWebhooks;

var _debug = require('debug');

var _debug2 = _interopRequireDefault(_debug);

var _stripe = require('stripe');

var _stripe2 = _interopRequireDefault(_stripe);

var _service = require('./service');

var _service2 = _interopRequireDefault(_service);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)('feathers-stripe-webhooks:main');

function checkOpts(options) {
  if (options.verifyEvents && !options.secret) {
    throw new Error('Stripe secret key (options.secret) is required when verifyEvents is true.');
  }
}

function feathersStripeWebhooks(handlers) {
  var config = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

  var options = Object.assign({
    // Set to false to disable event fetching from Stripe
    // https://stripe.com/docs/webhooks#verifying-events
    verifyEvents: true
  }, config);

  debug('Creating feathers-stripe-webhooks service with options: ' + JSON.stringify(options));

  checkOpts(options);

  var api = options.secret ? (0, _stripe2.default)(options.secret) : null;
  return (0, _service2.default)(api, handlers, options);
}
module.exports = exports['default'];